Subject: Re: bug#74720: 31.0.50; test-custom-opts fail on FreeBSD 14.2

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Dec 2024 13:52:15 +0200

> Date: Sat, 07 Dec 2024 11:37:08 +0100
> From:  Michael Albinus via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I did run 'gmake check-expensive' on a FreeBSD 14.2
> VM. test-custom-opts fail, see appended log file.

Thanks.

> 815 libraries loaded successfully
> The following load problems appeared:
> (term/ns-win.el error emacs: Loading ns-win.el but not compiled for GNUstep/macOS)
> (term/pgtk-win.el error emacs: Loading pgtk-win.el but not compiled with PGTK)

These are harmless, and actually expected.

> The following options might have problems:
> variable: shell-command-guess-open
>    value: nil
>     type: (string)

I fixed that now, I hope.